Module java.base
Package javax.security.cert

# Class CertificateParsingException

java.lang.Object
java.lang.Throwable
java.lang.Exception
javax.security.cert.CertificateException
javax.security.cert.CertificateParsingException

All Implemented Interfaces:
  `Serializable`

    @Deprecated(since="9",
                forRemoval=true)
    public class CertificateParsingException
    extends CertificateException

Deprecated, for removal: This API element is subject to removal in a future version.
Use the classes in `java.security.cert` instead.
Certificate Parsing Exception. This is thrown whenever invalid DER encoded certificate is parsed or unsupported DER features are found in the Certificate.

Note: The classes in the package `javax.security.cert` exist for compatibility with earlier versions of the Java Secure Sockets Extension (JSSE). New applications should instead use the standard Java SE certificate classes located in `java.security.cert`.

Since:
  1.4
See Also:
  Serialized Form

## Constructor Summary

Constructors
Constructor | Description
--- | ---
`CertificateParsingException()` | Deprecated, for removal: This API element is subject to removal in a future version. Constructs a CertificateParsingException with no detail message.
`CertificateParsingException​(String message)` | Deprecated, for removal: This API element is subject to removal in a future version. Constructs a CertificateParsingException with the specified detail message.

## Method Summary

### Methods declared in class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods declared in class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### CertificateParsingException

public CertificateParsingException()
Deprecated, for removal: This API element is subject to removal in a future version.
Constructs a CertificateParsingException with no detail message. A detail message is a String that describes this particular exception.

### CertificateParsingException

public CertificateParsingException​(String message)
Deprecated, for removal: This API element is subject to removal in a future version.
Constructs a CertificateParsingException with the specified detail message. A detail message is a String that describes this particular exception.

Parameters:
  `message` - the detail message.